listFiles
List files for bot
GET
/v1/filesAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
x-integration-name?stringIntegration name
x-user-id?stringUser Id
x-user-role?stringUser Role
Query parameters
nextToken?stringProvide the `meta.nextToken` value provided in the last API response to retrieve the next page of results
pageSize?integerNumber of items to return per page (default 20, max 100)
sortField?enum<string>Sort results by this field
Available options:
"key","size","createdAt","updatedAt","status"sortDirection?enum<string>Sort results in this direction
Available options:
"asc","desc"tags?anyFilter files by tags. Tags should be passed as a URL-encoded JSON object of key-value pairs that must be present in the tags of a file. An array of multiple string values for the same key are treated as an OR condition. To exclude a value, express it as an object with a nested `not` key with the string or string-array value(s) to exclude.
ids?string[]Filter files by IDs.
indexed?booleanFilter files by indexing state
Response
Returns the list of files related to the bot.
filesobject[]metaobject